cant run Boa

Help
2004-10-25
2013-05-01
  • Jordan Krage

    Jordan Krage - 2004-10-25

    this is very newbish, how do i run boa!
    im on a windows machine, and im looking in 'C:\Python24\Lib\site-packages\wxPython\tools\boa'
    what file is supposed to run the IDE?
    boa.py which seems logical will not run!
    what im i doing wrong

    thanks
    -jordan

     
    • Werner F. Bruhin

      I am on Windows XP and have a shortcut pointing to this target:

      C:\Python23\Lib\site-packages\wxPython\tools\boa\Boa.py

      What happens when you run boa.py?

      Are .py files associated with Python?

      See you
      Werner

       
      • Jordan Krage

        Jordan Krage - 2004-10-27

        .py files are associated with python, and anything ive made seemed to run fine
        however, when i try to run boa.py a console window pops up, some text appears, and then it closes before i can read it
        i noticed you have pyton 2.3, should i use 2.3 not 2.4?

        -jordan

         
    • Jordan Krage

      Jordan Krage - 2004-10-27

      alright, after a lot of double clicking, and some skillfull timeing of the 'print scr' key, i managed to take 2 screenshots of the window before it closes
      i croped the important parts and uploaded them here
      http://www.myonlineimages.com/Members/jmank88/images/BoaError.jpg
      (sry for the messed one on top, i couldnt make it look any better than that)

      as you can see it says there is no module name wxPython, but it installed itself into the wxPython directory!
      hope this maybe helps somemore :)

      -jordan

       
      • Werner F. Bruhin

        It looks to me as if wxPython is not installed.  You need to install this as Boa is dependent on it, you can get it from http://www.wxpython.org/ , make sure to get a 2.4 version and NOT 2.5 of wxPython (as Boa does not yet support that version).

        BTW, instead of trying to catch things with "print scr" open a command prompt and run the command in that window so you can see what error messages fly by.

        Hope this helps
        Werner

         
        • Jordan Krage

          Jordan Krage - 2004-10-27

          ahhh, i had boa installed under "...python24/...wxpython", but wxpython was installed under python23, plus i had 2.5, so everything is cool now, thanks

          BTW- is there a big disadvantage to using python 2.3 rather than 2.4?

          -jordan

           
          • Jordan Krage

            Jordan Krage - 2004-10-27

            i spoke to soon, it is now installed under wxpython 2.4.2.4, which is installed under python 2.3, and i am still getting the same error...

            -jordan

             
            • Werner F. Bruhin

              I would DEINSTALL (make sure that all your Python folders are gone) it all, then install Python, then wxPython and last Boa.

              Python 2.4 is still in Beta, unless you need something in there (see http://www.python.org/2.4/NEWS.html\) I would use 2.3.

              See you
              Werner

               
              • Jordan Krage

                Jordan Krage - 2004-10-29

                sweetness, i got rid of everthing, and reinstalled, and im now up and running

                thanks
                -jordan

                 

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks